Overview
Presets endpointsAvailable Operations
- createPresetsChatCompletions - Create a preset from a chat-completions request body
- createPresetsMessages - Create a preset from a messages request body
- createPresetsResponses - Create a preset from a responses request body
createPresetsChatCompletions
Creates a preset (or a new version of an existing one) from an inference request body. Only fields that overlap with the preset config are persisted; other fields (e.g.messages, stream, prompt) are silently ignored.
Example Usage
Standalone function
The standalone function version of this method:Parameters
Response
Promise<models.CreatePresetFromInferenceResponse>Errors
createPresetsMessages
Creates a preset (or a new version of an existing one) from an inference request body. Only fields that overlap with the preset config are persisted; other fields (e.g.messages, stream, prompt) are silently ignored.
Example Usage
Standalone function
The standalone function version of this method:Parameters
Response
Promise<models.CreatePresetFromInferenceResponse>Errors
createPresetsResponses
Creates a preset (or a new version of an existing one) from an inference request body. Only fields that overlap with the preset config are persisted; other fields (e.g.messages, stream, prompt) are silently ignored.